=== modified file 'NEWS'
--- NEWS	2008-07-18 12:29:56 +0000
+++ NEWS	2008-07-18 12:35:47 +0000
@@ -19,6 +19,8 @@
 
   * Made bzr vis remember window and panel sizes.  (Scott Scriven)
 
+  * Sort Olive bookmarks by title (Jasper Groenewegen)
+
  BUG FIXES
 
   * Replace _() calls by _i18n() calls. (Vincent Ladeuil, #187283)

=== modified file 'olive/__init__.py'
--- olive/__init__.py	2008-07-18 11:06:07 +0000
+++ olive/__init__.py	2008-07-18 12:35:47 +0000
@@ -966,9 +966,12 @@
         
         # Add them to the TreeStore
         titer = treestore.append(None, [_i18n('Bookmarks'), None])
-        for item in bookmarks:
-            title = self.pref.get_bookmark_title(item)
-            treestore.append(titer, [title, item])
+
+        # Get titles and sort by title
+        bookmarks = [[self.pref.get_bookmark_title(item), item] for item in bookmarks]
+        bookmarks.sort()
+        for title_item in bookmarks:
+            treestore.append(titer, title_item)
         
         # Create the column and add it to the TreeView
         self.treeview_left.set_model(treestore)
@@ -1264,10 +1267,13 @@
 
         # Add them to the TreeStore
         titer = treestore.append(None, [_i18n('Bookmarks'), None])
-        for item in bookmarks:
-            title = self.pref.get_bookmark_title(item)
-            treestore.append(titer, [title, item])
 
+        # Get titles and sort by title
+        bookmarks = [[self.pref.get_bookmark_title(item), item] for item in bookmarks]
+        bookmarks.sort()
+        for title_item in bookmarks:
+            treestore.append(titer, title_item)
+        
         # Add the TreeStore to the TreeView
         self.treeview_left.set_model(treestore)
 

